Bug 1128363 - RFE: make copr-cli reusable
Summary: RFE: make copr-cli reusable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Valentin Gologuzov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 14:23 UTC by Jakub Ruzicka
Modified: 2015-12-01 06:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 12:45:57 UTC


Attachments (Terms of Use)

Description Jakub Ruzicka 2014-08-09 14:23:45 UTC
copr-cli is not reusable at the moment as it prints to stdout instead of
passing data structures around.

I suggest factoring out the API interaction code into separate reusable module
and then using it from another cli-only module, much like openstack clients do
it. That would allow people to easily interacting with copr without reinventing the wheel.


As a side note, having one exception defined for each type of API error and
raising correct one in API response parsing code on error would make the
experience really smooth.


Note You need to log in before you can comment on or make changes to this bug.